<?php
 @session_start();
  $vg_login=$_SESSION["usuario"];
  $vg_empresa=$_SESSION["empresa"];
  if($vg_login<>""){}
 else
  {echo "<script>";
   echo "window.location='../index.php';";
   echo "</script>";
  }	

include "../valida_permisos.php";
$vg_programa = F_programa();
include "../seguridad.php";
$sql_entrada= mysqli_query($conseg,"select login,nombre,perfil,programa,cedula,pais from permiso     
						where login='".$vg_login."'  and programa=".$vg_programa."");
while($datos= mysqli_fetch_row($sql_entrada))
		{ $vg_nombre=$datos[1];
		  $vg_perfil=$datos[2];				
		} 
//permisos a formularios
$modulo="Parametros_cuenta";
$permisos=validar_permiso($vg_login,$modulo,$vg_perfil,$vg_programa);
include "../permisos.php";
$valpermiso=F_permiso($permisos);

if($valpermiso[0]==1){}
else
{echo "<script>";
echo "window.location='../erroracceso.php?formulario=Parametros_cuenta';";
echo "</script>";
}

$tabla="puc";
include "../parametros.php";
include "../conexion.php";

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?php  echo $nombreprograma." - ".$version; ?></title>
  <script src="../js/jquery.min.js"></script>
  <link href="../bootstrap/css/bootstrap.min.css" rel="stylesheet">
 <script src="../bootstrap/js/bootstrap.min.js"></script>
 <link rel="stylesheet" href="../toastn/style.css">
 <script src="../toastn/cute-alert.js"></script>
 <script language="JavaScript" type="text/javascript" src="cuentas.js"></script>
 
 
 <script language="javascript">
	function mascara(o,f){  
		v_obj=o;  
		v_fun=f;  
		setTimeout("execmascara()",1);  
	}  
	function execmascara(){   
		v_obj.value=v_fun(v_obj.value);
	}  
	function cpf(v){     
		v=v.replace(/([^0-9\.]+)/g,''); 
		v=v.replace(/^[\.]/,''); 
		v=v.replace(/[\.][\.]/g,''); 
		v=v.replace(/\.(\d)(\d)(\d)/g,'.$1$2'); 
		v=v.replace(/\.(\d{1,2})\./g,'.$1'); 
		v = v.toString().split('').reverse().join('').replace(/(\d{3})/g,'$1,');    
		v = v.split('').reverse().join('').replace(/^[\,]/,''); 
		return v;  
	}  
	function calcular(){
		var varMonto;
		var varIva;
		var varSubTotal;
		
		varMonto = document.getElementById("importe").value;	
		varMonto = varMonto.replace(/[\,]/g,''); 
		
		varIva = parseFloat(varMonto).toFixed(2) * 0.15;
		document.getElementById("iva").value = addCommas(parseFloat(varIva).toFixed(2)) ;
		
		varSubTotal = parseFloat(varMonto) + parseFloat(varIva);
		document.getElementById("subtotal").value = addCommas(parseFloat(varSubTotal).toFixed(2)) ;

	}
	
	function addCommas(nStr){
		nStr += '';
		x = nStr.split('.');
		x1 = x[0];
		x2 = x.length > 1 ? '.' + x[1] : '';
		var rgx = /(\d+)(\d{3})/;
		while (rgx.test(x1)) {
			x1 = x1.replace(rgx, '$1' + ',' + '$2');
		}
		return x1 + x2;
	}
	
</script>  


<script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.4/jquery.min.js"></script>
<script>
	function buscar_ajax(clase,grupo,cuenta,subcuenta,subcuenta1,proceso){
	    $.ajax({
		type: 'POST',
		url: 'cuentas_consulta.php',
		data: 'clase=' + clase + '&grupo=' + grupo +'&cuenta=' + cuenta +'&subcuenta=' + subcuenta +'&subcuenta1=' + subcuenta1 +'&pro=' + proceso ,
		success: function(respuesta) {
			//Copiamos el resultado en #mostrar
		 if(proceso==1){	document.frmcuenta.nclase.value=respuesta; dato1=respuesta ; document.frmcuenta.concepto.value=respuesta; }
		 if(proceso==2){	document.frmcuenta.ngrupo.value=respuesta; dato2=respuesta ; document.frmcuenta.concepto.value=respuesta;}
		 if(proceso==3){	document.frmcuenta.ncuenta.value=respuesta; dato3=respuesta ; document.frmcuenta.concepto.value=respuesta;}
		 if(proceso==4){	document.frmcuenta.nsubcuenta.value=respuesta; dato4=respuesta ; document.frmcuenta.concepto.value=respuesta;}
		 if(proceso==5){	document.frmcuenta.nsubcuenta1.value=respuesta; dato5=respuesta ; document.frmcuenta.concepto.value=respuesta;}
		}
	});
	}
	
	function buscar_ajaxcodigo(grupo,cuenta,subcuenta,subcuenta1){
	    $.ajax({
		type: 'POST',
		url: 'cuentas_consultacodigo.php',
		data: 'grupo=' + grupo +'&cuenta=' + cuenta +'&subcuenta=' + subcuenta +'&subcuenta1=' + subcuenta1 ,
		success: function(respuesta) {
			//Copiamos el resultado en #mostrar
		 document.frmcuenta.codigo.value=respuesta;
		}
	});
	}	
	
</script>


</head>
<body onLoad="frmcuenta.cta2.focus();">

<?php

$clase="";$grupo="";$cuenta="";$subcuenta="";$subcuenta1="";$subcuenta2="";$codigo="";$concepto="";
$nclase="";$ngrupo="";$ncuenta="";$nsubcuenta="";$nsubcuenta1="";$ctaalternadetalle="";$nsubcuenta2="";
$checkbocl="";$checkbogr="";$checkbocu="";$checkboxsu="";$checkboxau1="";$checkboxau2="";

$existeregistro=0;
if($_REQUEST["id"]<>'')
	{ $id=$_REQUEST["id"]; 		    
		  $sql_contar=mysqli_query($conexion,"SELECT count(*) as contar FROM puc   where id='".$_REQUEST["id"]."'");
			  while($datos= mysqli_fetch_row($sql_contar)){ $contar=$datos[0];}
			  if($contar>=1)
				{$sql_datos =mysqli_query($conexion,"select clase,grupo,cuenta,subcuenta,subcuenta1,codigo,concepto,ctaalterna,ctaalternadetalle,subcuenta2,
													snclase,sngrupo,sncuenta,snsubcuenta,snsubcuenta1,snsubcuenta2
												    FROM puc
										  			where id='".$_REQUEST["id"]."'");
						while($datos= mysqli_fetch_row($sql_datos))
						{ 
							$clase=$datos[0]; 						
							$grupo=$datos[1]; 	
							$cuenta=$datos[2]; 	
							$subcuenta=$datos[3]; 	
							$subcuenta1=$datos[4]; 	
							$codigo=$datos[5]; 	
							$concepto=$datos[6]; 	
							$ctaalterna=$datos[7]; 	
							$ctaalternadetalle=$datos[8]; 	
							$subcuenta2=$datos[9]; 	
						 	$snclase=$datos[10]; 	
						 	$sngrupo=$datos[11]; 	
						 	$sncuenta=$datos[12]; 	
						 	$snsubcuenta=$datos[13]; 	
							$snsubcuenta1=$datos[14]; 	
							$snsubcuenta2=$datos[15]; 	
							
							if($snclase=='S'){$checkboxcl='checked';}else{$heckboxcl='';}
							if($sngrupo=='S'){$checkboxgr='checked';}else{$checkboxgr='';}
							if($sncuenta=='S'){$checkboxcu='checked';}else{$checkboxcu='';}
							if($snsubcuenta=='S'){$checkboxsu='checked';}else{$checkboxsu='';}
							if($snsubcuenta1=='S'){$checkboxau1='checked';}else{$checkboxau1='';}
							if($snsubcuenta2=='S'){$checkboxau2='checked';}else{$checkboxau2='';}
							
							
							$existeregistro=1;
							
							$nclase="";$ngrupo="";$ncuenta="";$nsubcuenta="";$nsubcuenta1="";$nsubcuenta2="";
							$sql_datosc=mysqli_query($conexion,"select concepto FROM puc where clase='".$clase."' and grupo=''");
							while($datosc= mysqli_fetch_row($sql_datosc))	{ 	$nclase=$datosc[0]; 	}
							
						    if($grupo<>"")
						    {
    							$sql_datosc=mysqli_query($conexion,"select concepto FROM puc where clase='".$clase."' and grupo='".$grupo."' and cuenta=''");
    							while($datosc= mysqli_fetch_row($sql_datosc))	{ 	$ngrupo=$datosc[0]; 	}
						    }
						    
						    if($cuenta<>"")
						    {
							$sql_datosc=mysqli_query($conexion,"select concepto FROM puc where clase='".$clase."' and grupo='".$grupo."' and cuenta='".$cuenta."' 
																and subcuenta=''");
							while($datosc= mysqli_fetch_row($sql_datosc))	{ 	$ncuenta=$datosc[0]; 	}
						    }
						    
						    if($subcuenta<>"")
						    {
							$sql_datosc=mysqli_query($conexion,"select concepto FROM puc where clase='".$clase."' and grupo='".$grupo."' and cuenta='".$cuenta."' 
																and subcuenta='".$subcuenta."' and subcuenta1=''");
							while($datosc= mysqli_fetch_row($sql_datosc))	{ 	$nsubcuenta=$datosc[0]; 	}
						    }
						    
						    if($subcuenta1<>"")
						    {
							$sql_datosc=mysqli_query($conexion,"select concepto FROM puc where clase='".$clase."' and grupo='".$grupo."' and cuenta='".$cuenta."' 
																and subcuenta='".$subcuenta."' and subcuenta1='".$subcuenta1."' and subcuenta2=''");
							while($datosc= mysqli_fetch_row($sql_datosc))	{ 	 $nsubcuenta1=$datosc[0]; 	}
						    }
							
							 if($subcuenta2<>"")
						    {
    							$sql_datosc=mysqli_query($conexion,"select concepto FROM puc where clase='".$clase."' and grupo='".$grupo."' and cuenta='".$cuenta."' 
    																and subcuenta='".$subcuenta."' and subcuenta1='".$subcuenta1."' and subcuenta2='".$subcuenta2."'");
    							while($datosc= mysqli_fetch_row($sql_datosc))	{ 	$nsubcuenta2=$datosc[0]; 	}
						    }

					   }
				}
}


if(isset($_REQUEST['oculto']))
  { 

	$clase=$_REQUEST['clase'];
	$nclase=$_REQUEST['nclase'];
	$grupo=$_REQUEST['grupo'];
	$ngrupo=$_REQUEST['ngrupo'];
	$cuenta=$_REQUEST['cuenta'];
	$ncuenta=$_REQUEST['ncuenta'];
	$subcuenta=$_REQUEST['subcuenta'];
	$nsubcuenta=$_REQUEST['nsubcuenta'];
	$subcuenta1=$_REQUEST['subcuenta1'];
	$nsubcuenta1=$_REQUEST['nsubcuenta1'];
	$subcuenta2=$_REQUEST['subcuenta2'];
	$nsubcuenta2=$_REQUEST['nsubcuenta2'];
	
	$codigo=$_REQUEST['codigo'];
	$concepto=$_REQUEST['concepto'];
	$ctaalternadetalle=$_REQUEST['ctaalternadetalle'];
	$ctaalterna=$_REQUEST['ctaalterna'];
	
	$checkbocl=$_REQUEST['checkboxcl']; if($checkbocl=='on'){$sncheckbocl='S';}else{$sncheckbocl='N';}
	$checkbogr=$_REQUEST['checkboxgr']; if($checkbogr=='on'){$sncheckbogr='S';}else{$sncheckbogr='N';}
	$checkbocu=$_REQUEST['checkboxcu']; if($checkbocu=='on'){$sncheckbocu='S';}else{$sncheckbocu='N';}
	$checkbosu=$_REQUEST['checkboxsu']; if($checkbosu=='on'){$sncheckbosu='S';}else{$sncheckbosu='N';}
	$checkboau1=$_REQUEST['checkboxau1']; if($checkboau1=='on'){$sncheckboau1='S';}else{$sncheckboau1='N';}
	$checkboau2=$_REQUEST['checkboxau2']; if($checkboau2=='on'){$sncheckboau2='S';}else{$sncheckboau2='N';}
	
	if($_REQUEST["oguardar"]==1)
		 {   
			  if($clase<>"") 
			  {  
					 $codigogen=$grupo.$cuenta.$subcuenta.$subcuenta1.$subcuenta2;
					 $codigo=$codigogen;
					 if($clase>0){$concepto=$nclase;}
					 if($grupo>0){$concepto=$ngrupo;}
					 if($cuenta>0){$concepto=$ncuenta;}
					 if($subcuenta>0){$concepto=$nsubcuenta;   }
					 if($subcuenta1>0){$concepto=$nsubcuenta1;}
					 if($subcuenta2>0){$concepto=$nsubcuenta2;}
					
					  $sql_insert=mysqli_query($conexion,"insert into puc(empresa,clase,grupo,cuenta,subcuenta,subcuenta1,codigo,concepto,ctaalterna,ctaalternadetalle,subcuenta2,
					  											snclase,sngrupo,sncuenta,snsubcuenta,snsubcuenta1,snsubcuenta2)
											  values('".$vg_empresa."','".$clase."','".$grupo."','".$cuenta."','".$subcuenta."','".$subcuenta1."','".$codigogen."',
													 '".$concepto."','".$ctaalterna."','".$ctaalternadetalle."','".$subcuenta2."',
													 '".$sncheckbocl."','".$sncheckbogr."','".$sncheckbocu."','".$sncheckbosu."','".$sncheckboau1."','".$sncheckboau2."')"); 
					 if($sql_insert)
					   {
					       	if($sncheckbocl=='S'){$checkboxcl='checked';}else{$heckboxcl='';}
							if($sncheckbogr=='S'){$checkboxgr='checked';}else{$checkboxgr='';}
							if($sncheckbocu=='S'){$checkboxcu='checked';}else{$checkboxcu='';}
							if($sncheckbosu=='S'){$checkboxsu='checked';}else{$checkboxsu='';}
							if($sncheckboau1=='S'){$checkboxau1='checked';}else{$checkboxau1='';}
							if($sncheckboau2=='S'){$checkboxau2='checked';}else{$checkboxau2='';}
							
						  $mensaje="Se registro el puc";
							?>				  
							<script>
							cuteToast({
								  type: "success", // or 'info', 'error', 'warning'
								  message: "<?php echo $mensaje; ?>",
								  timer: 3000
								})
							</script>
						   <?php
						   //actualizamos el consecutivo consecutivo
						  // $sql_updatecon=mysqli_query($conexion,"update par_tipodocumentos set consecutivo='".$consecutivo."'  where id='".$tipodocumento."' and empresa='".$vg_empresa."'");
					   }	
					 else 
					  {
						$mensaje="Error al registrar el documento";
							?>				  
							<script>
							cuteToast({
								  type: "error", // or 'info', 'error', 'warning'
								  message: "<?php echo $mensaje; ?>",
								  timer: 3000
								})
							</script>
						   <?php
					  }				
					}
		 }//fin guardar


		if($_REQUEST["omodificar"]==1)
		 {    $contar=0;
			  $sql_contar=mysqli_query($conexion,"SELECT count(*) as contar FROM puc where id='".$id."'");
			  while($datos= mysqli_fetch_row($sql_contar)){ $contar=$datos[0];}
			  if($contar>=1) 
				{ 
				  //$codigogen=$grupo.$cuenta.$subcuenta.$subcuenta1;
				  
				     $codigogen=$grupo.$cuenta.$subcuenta.$subcuenta1.$subcuenta2;
					 $codigo=$codigogen;
					 if($clase>0){$concepto=$nclase;}
					 if($grupo>0){$concepto=$ngrupo;}
					 if($cuenta>0){$concepto=$ncuenta;}
					 if($subcuenta>0){$concepto=$nsubcuenta;   }
					 if($subcuenta1>0){$concepto=$nsubcuenta1;}
					 if($subcuenta2>0){$concepto=$nsubcuenta2;}
				  
				  
				  $sql_update=mysqli_query($conexion,"update puc set
				 										 clase='".$clase."',
														 grupo='".$grupo."',
														 cuenta='".$cuenta."',
														 subcuenta='".$subcuenta."',
														 subcuenta1='".$subcuenta1."',
														 codigo='".$codigogen."',
														 concepto='".$concepto."',
														 ctaalterna='".$ctaalterna."',
														 ctaalternadetalle='".$ctaalternadetalle."',
														 subcuenta2='".$subcuenta2."',
														 snclase='".$sncheckbocl."',
														 sngrupo='".$sncheckbogr."',
														 sncuenta='".$sncheckbocu."',
														 snsubcuenta='".$sncheckbosu."',
														 snsubcuenta1='".$sncheckboau1."',
														 snsubcuenta2='".$sncheckboau2."'
													  where id='".$id."'"); 
													  
				 if($sql_update)
				   {
				         	if($sncheckbocl=='S'){$checkboxcl='checked';}else{$heckboxcl='';}
							if($sncheckbogr=='S'){$checkboxgr='checked';}else{$checkboxgr='';}
							if($sncheckbocu=='S'){$checkboxcu='checked';}else{$checkboxcu='';}
							if($sncheckbosu=='S'){$checkboxsu='checked';}else{$checkboxsu='';}
							if($sncheckboau1=='S'){$checkboxau1='checked';}else{$checkboxau1='';}
							if($sncheckboau2=='S'){$checkboxau2='checked';}else{$checkboxau2='';}
							
					$mensaje="Se modifico el puc";
							?>				  
							<script>
							cuteToast({
								  type: "success", // or 'info', 'error', 'warning'
								  message: "<?php echo $mensaje; ?>",
								  timer: 3000
								})
							</script>
						   <?php
				   }	
				 else 
				  {
				   $mensaje="Error al modificar el puc";
							?>				  
							<script>
							cuteToast({
								  type: "error", // or 'info', 'error', 'warning'
								  message: "<?php echo $mensaje; ?>",
								  timer: 3000
								})
							</script>
						   <?php
				  }				
				}
			  else
			   {
				$mensaje="No existe el codigo";
							?>				  
							<script>
							cuteToast({
								  type: "error", // or 'info', 'error', 'warning'
								  message: "<?php echo $mensaje; ?>",
								  timer: 3000
								})
							</script>
						   <?php
			   }	
		 }//fin guardar
	
	


		if($_REQUEST["onuevo"]==1)
		 {
		    $clase="";$grupo="";$cuenta="";$subcuenta="";$subcuenta1="";$subcuenta2="";$codigo="";$concepto="";
            $nclase="";$ngrupo="";$ncuenta="";$nsubcuenta="";$nsubcuenta1="";$nsubcuenta2="";
            $existeregistro=0;$id='';$ctaalterna="";$ctaalternadetalle="";
			$checkbocl="";$checkbogr="";$checkbocu="";$checkboxsu="";$checkboxau1="";$checkboxau2="";
		 }
	
  }
  
  
  if($_REQUEST["obusca"]<>'')
	{  							$existeregistro=0;
		  $sql_contar=mysqli_query($conexion,"SELECT count(*) as contar FROM puc   where id='".$_REQUEST["id"]."'");
			  while($datos= mysqli_fetch_row($sql_contar)){ $contar=$datos[0];}
			  if($contar>=1)
				{$sql_datos =mysqli_query($conexion,"select   clase,grupo,cuenta,subcuenta,subcuenta1,codigo,concepto,ctaalterna,ctaalternadetalle,subcuenta2,
														snclase,sngrupo,sncuenta,snsubcuenta,snsubcuenta1,snsubcuenta2
												    FROM puc
										  			where id='".$_REQUEST["id"]."'");
						while($datos= mysqli_fetch_row($sql_datos))
						{ 
							$clase=$datos[0]; 						
							$grupo=$datos[1]; 	
							$cuenta=$datos[2]; 	
							$subcuenta=$datos[3]; 	
							$subcuenta1=$datos[4]; 	
							$codigo=$datos[5]; 	
							$concepto=$datos[6]; 	
							$ctaalterna=$datos[7]; 	
							$ctaalternadetalle=$datos[8]; 	
							$subcuenta2=$datos[9]; 	
							$snclase=$datos[10]; 	
							$sngrupo=$datos[11]; 	
							$sncuenta=$datos[12]; 	
							$snsubcuenta=$datos[13]; 	
							$snsubcuenta1=$datos[14]; 	
							$snsubcuenta2=$datos[15]; 	
														$existeregistro=1;
							
							if($snclase=='S'){$checkboxcl='checked';}else{$heckboxcl='';}
							if($sngrupo=='S'){$checkboxgr='checked';}else{$checkboxgr='';}
							if($sncuenta=='S'){$checkboxcu='checked';}else{$checkboxcu='';}
							if($snsubcuenta=='S'){$checkboxsu='checked';}else{$checkboxsu='';}
							if($snsubcuenta1=='S'){$checkboxau1='checked';}else{$checkboxau1='';}
							if($snsubcuenta2=='S'){$checkboxau2='checked';}else{$checkboxau2='';}
							
							$existeregistro=1;
							
							$nclase="";$ngrupo="";$ncuenta="";$nsubcuenta="";$nsubcuenta1="";$nsubcuenta2="";
							$sql_datosc=mysqli_query($conexion,"select concepto FROM puc where clase='".$clase."' and grupo=''");
							while($datosc= mysqli_fetch_row($sql_datosc))	{ 	$nclase=$datosc[0]; 	}
							
						    if($grupo<>"")
						    {
    							$sql_datosc=mysqli_query($conexion,"select concepto FROM puc where clase='".$clase."' and grupo='".$grupo."' and cuenta=''");
    							while($datosc= mysqli_fetch_row($sql_datosc))	{ 	$ngrupo=$datosc[0]; 	}
						    }
						    
						    if($cuenta<>"")
						    {
							$sql_datosc=mysqli_query($conexion,"select concepto FROM puc where clase='".$clase."' and grupo='".$grupo."' and cuenta='".$cuenta."' 
																			and subcuenta=''");
							while($datosc= mysqli_fetch_row($sql_datosc))	{ 	$ncuenta=$datosc[0]; 	}
						    }
						    
						    if($subcuenta<>"")
						    {
							$sql_datosc=mysqli_query($conexion,"select concepto FROM puc where clase='".$clase."' and grupo='".$grupo."' and cuenta='".$cuenta."' 
																and subcuenta='".$subcuenta."' and subcuenta1=''");
							while($datosc= mysqli_fetch_row($sql_datosc))	{ 	$nsubcuenta=$datosc[0]; 	}
						    }
						    
						    if($subcuenta1<>"")
						    {
							$sql_datosc=mysqli_query($conexion,"select concepto FROM puc where clase='".$clase."' and grupo='".$grupo."' and cuenta='".$cuenta."' 
																and subcuenta='".$subcuenta."' and subcuenta1='".$subcuenta1."'  and subcuenta2=''");
							while($datosc= mysqli_fetch_row($sql_datosc))	{ 	$nsubcuenta1=$datosc[0]; 	}
						    }
							
							if($subcuenta2<>"")
						    {
							$sql_datosc=mysqli_query($conexion,"select concepto FROM puc where clase='".$clase."' and grupo='".$grupo."' and cuenta='".$cuenta."' 
																and subcuenta='".$subcuenta."' and subcuenta1='".$subcuenta1."' and subcuenta2='".$subcuenta2."'");
							while($datosc= mysqli_fetch_row($sql_datosc))	{ 	$nsubcuenta2=$datosc[0]; 	}
						    }

					   }
				}
}
  
  
   if($_REQUEST["obuscar"]==1)
	{  $existeregistro=0;
		  $sql_contar=mysqli_query($conexion,"SELECT count(*) as contar FROM puc   where id='".$id."'");
			  while($datos= mysqli_fetch_row($sql_contar)){ $contar=$datos[0];}
			  if($contar>=1)
				{$sql_datos =mysqli_query($conexion,"select   clase,grupo,cuenta,subcuenta,subcuenta1,codigo,concepto,ctaalterna,ctaalternadetalle,subcuenta2,
													snclase,sngrupo,sncuenta,snsubcuenta,snsubcuenta1,snsubcuenta2
												    FROM puc
										  			where id='".$id."'");
						while($datos= mysqli_fetch_row($sql_datos))
						{ 
							$clase=$datos[0]; 						
							$grupo=$datos[1]; 	
							$cuenta=$datos[2]; 	
							$subcuenta=$datos[3]; 	
							$subcuenta1=$datos[4]; 	
							$codigo=$datos[5]; 	
							$concepto=$datos[6]; 	
							$ctaalterna=$datos[7]; 	
							$ctaalternadetalle=$datos[8]; 	
							$subcuenta2=$datos[9]; 
							$snclase=$datos[10]; 	
							$sngrupo=$datos[11]; 	
							$sncuenta=$datos[12]; 	
							$snsubcuenta=$datos[13]; 	
							$snsubcuenta1=$datos[14]; 	
							$snsubcuenta2=$datos[15]; 	
							
							$existeregistro=1;
							
							if($snclase=='S'){$checkboxcl='checked';}else{$heckboxcl='';}
							if($sngrupo=='S'){$checkboxgr='checked';}else{$checkboxgr='';}
							if($sncuenta=='S'){$checkboxcu='checked';}else{$checkboxcu='';}
							if($snsubcuenta=='S'){$checkboxsu='checked';}else{$checkboxsu='';}
							if($snsubcuenta1=='S'){$checkboxau1='checked';}else{$checkboxau1='';}
							if($snsubcuenta2=='S'){$checkboxau2='checked';}else{$checkboxau2='';}
							$existeregistro=1;
							
							$nclase="";$ngrupo="";$ncuenta="";$nsubcuenta="";$nsubcuenta1="";$nsubcuenta2="";
							$sql_datosc=mysqli_query($conexion,"select concepto FROM puc where clase='".$clase."' and grupo=''");
							while($datosc= mysqli_fetch_row($sql_datosc))	{ 	$nclase=$datosc[0]; 	}
							
						    if($grupo<>"")
						    {
    							$sql_datosc=mysqli_query($conexion,"select concepto FROM puc where clase='".$clase."' and grupo='".$grupo."' and cuenta=''");
    							while($datosc= mysqli_fetch_row($sql_datosc))	{ 	$ngrupo=$datosc[0]; 	}
						    }
						    
						    if($cuenta<>"")
						    {
							$sql_datosc=mysqli_query($conexion,"select concepto FROM puc where clase='".$clase."' and grupo='".$grupo."' and cuenta='".$cuenta."' 
														and subcuenta=''");
							while($datosc= mysqli_fetch_row($sql_datosc))	{ 	$ncuenta=$datosc[0]; 	}
						    }
						    
						    if($subcuenta<>"")
						    {
							$sql_datosc=mysqli_query($conexion,"select concepto FROM puc where clase='".$clase."' and grupo='".$grupo."' and cuenta='".$cuenta."' 
													and subcuenta='".$subcuenta."' and subcuenta1=''");
							while($datosc= mysqli_fetch_row($sql_datosc))	{ 	$nsubcuenta=$datosc[0]; 	}
						    }
						    
						    if($subcuenta1<>"")
						    {
							$sql_datosc=mysqli_query($conexion,"select concepto FROM puc where clase='".$clase."' and grupo='".$grupo."' and cuenta='".$cuenta."' 
												and subcuenta='".$subcuenta."' and subcuenta1='".$subcuenta1."'  and subcuenta2=''");
							while($datosc= mysqli_fetch_row($sql_datosc))	{ 	$nsubcuenta1=$datosc[0]; 	}
						    }
							
							if($subcuenta2<>"")
						    {
							$sql_datosc=mysqli_query($conexion,"select concepto FROM puc where clase='".$clase."' and grupo='".$grupo."' and cuenta='".$cuenta."' 
																and subcuenta='".$subcuenta."' and subcuenta1='".$subcuenta1."' and subcuenta2='".$subcuenta2."'");
							while($datosc= mysqli_fetch_row($sql_datosc))	{ 	$nsubcuenta2=$datosc[0]; 	}
						    }

					   }
				}
}
?>

<form name="frmcuenta" method="post" action="" >
    <div id="mostrar"></div>
 <center>
 <div class="panel panel-primary" style='width:95%;'>
      <div class="panel-heading"> CUENTA</div>
	  <div align="center">
      <input name="id" type="hidden" id="id" value="<?php echo $id; ?>"  />
        <table width="100%" border="0" cellpadding="0" cellspacing="0">
          <tbody>
            <tr>
              <td colspan="2"><table width="100%" border="0" cellpadding="0" cellspacing="0">
                <tbody>
                  <tr>
                    <td align="center">
                   <?php
				    if($valpermiso[4]==1)
				 	  {
				   ?>
                   	 <input name="nuevo" type="submit"  id="nuevo"  value="Nuevo" class="btn btn-primary"  style="width: 100px" onclick="onuevo.value=1;" />
                   <?php
					  }
				   if($valpermiso[2]==1)
					 	{
							if($existeregistro==0)
							{	
					?>
                      <input name="guardar" type="button"  id="guardar"  value="Guardar" onclick="return pregunta_guardar();" class="btn btn-primary" style="width: 100px"/>
                    <?php
							}
						 }
					
					//if($valpermiso[3]==1)
				 	 //{
		                // echo "**".$valpermiso[3];
		                 if($existeregistro>=1)
						   {
					 ?>
                      <input name="modificar" type="button"  id="modificar"  value="Modificar"	onclick="return pregunta_modificar();" class="btn btn-primary" style="width:100px" />
                     <?php
					 //		 }
					 }
					?>
					
					<input name='rep' type='button'  id='rep' value='Reporte Cuenta'   class="btn  btn-primary" title="Clic para ver reporte"
						  onclick="javascript:window.open('cuenta_detalle.php','repcue','menubar=1,toolbar=0,location=0,directories=0,status=1,scrollbars=1,width=800,height=650');" 
                          style="width:150px"  />
                      <a href='../PHPExcel/Examples/puc.php'  class="btn btn-primary" target='otro'>Excel PUC</a>     
                      <input type="hidden" name="oculto" />
                      <input name="oguardar" type="hidden" id="oguardar" />
                      <input name="omodificar" type="hidden" id="omodificar" />
                      <input name="obusca" type="hidden" id="obusca" />
                      <input name="obuscar" type="hidden" id="obuscar" />
                      <input name="onuevo" type="hidden" id="onuevo" />
                      
					</td>
                  </tr>
                </tbody>
              </table></td>
            </tr>
            <tr>
              <td width="53%" align="center">
              <table width="95%" border="0" cellpadding="0" cellspacing="0">
                <tbody>
                  <tr>
                    <td width="11%"><div align="left" class="texto_campos" >Clase:</div></td>
                    <td width="6%" align="center" valign="middle"><input name="clase" type="text" id="clase" value="<?php echo $clase; ?>" class="form-control"  style="width: 50px"  
                         maxlength="2"   />
                         
                        
                    <td width="75%">
                    		<input name="nclase" type="text" id="nclase"  value="<?php echo $nclase; ?>" class="form-control"  style="width: 100%"   onFocus='buscar_ajax(document.frmcuenta.clase.value,0,0,0,0,1);' /></td>
                    <td width="8%" align="center"><input type="checkbox" name="checkboxcl" id="checkboxcl" <?php echo $checkboxcl; ?> /></td>
                    </tr>
                  <tr>
                    <td><div align="left" class="texto_campos" >Grupo:</div></td>
                    <td align="center"><input name="grupo" type="text" id="grupo" maxlength="2" value="<?php echo $grupo; ?>" class="form-control"  style="width: 50px"  
                        onkeypress='mascara(this,cpf)'  /></td>
                    <td><input name="ngrupo" type="text" id="ngrupo"  value="<?php echo $ngrupo; ?>" class="form-control"  style="width: 100%"   onFocus='buscar_ajax(document.frmcuenta.clase.value,document.frmcuenta.grupo.value,0,0,0,2);'/></td>
                    <td align="center"><input type="checkbox" name="checkboxgr" id="checkboxgr" <?php echo $checkboxgr; ?> /></td>
                    </tr>
                  <tr>
                    <td><div align="left" class="texto_campos">Cuenta:</div></td>
                    <td align="center"><input name="cuenta" type="text" id="cuenta" maxlength="2" value="<?php echo $cuenta; ?>" class="form-control"  style="width: 50px"  
                        onkeypress='mascara(this,cpf)'  /></td>
                    <td><input name="ncuenta" type="text" id="ncuenta"  value="<?php echo $ncuenta; ?>" class="form-control"  style="width: 100%"  onFocus='buscar_ajax(document.frmcuenta.clase.value,document.frmcuenta.grupo.value,document.frmcuenta.cuenta.value,0,0,3);'/></td>
                    <td align="center"><input type="checkbox" name="checkboxcu" id="checkboxcu" <?php echo $checkboxcu; ?> /></td>
                    </tr>
                  <tr>
                    <td><div align="left" class="texto_campos" >Subcuenta:</div></td>
                    <td align="center"><input name="subcuenta" type="text" id="subcuenta" maxlength="2" value="<?php echo $subcuenta; ?>" class="form-control"  style="width: 50px" 
                        onkeypress='mascara(this,cpf)'  /></td>
                    <td><input name="nsubcuenta" type="text" id="nsubcuenta"  value="<?php echo $nsubcuenta; ?>" class="form-control"  style="width: 100%" 
                        onFocus='buscar_ajax(document.frmcuenta.clase.value,document.frmcuenta.grupo.value,document.frmcuenta.cuenta.value,document.frmcuenta.subcuenta.value,0,4);' /></td>
                    <td align="center"><input type="checkbox" name="checkboxsu" id="checkboxsu" <?php echo $checkboxsu; ?> /></td>
                    </tr>
                  <tr>
                    <td><div align="left" class="texto_campos"> Auxiliares:</div></td>
                    <td align="center"><input name="subcuenta1" type="text" id="subcuenta1" maxlength="2" value="<?php echo $subcuenta1; ?>" class="form-control"  style="width: 50px" 
                        onkeypress='mascara(this,cpf)'  /></td>
                    <td><input name="nsubcuenta1" type="text" id="nsubcuenta1"  value="<?php echo $nsubcuenta1; ?>" class="form-control"  style="width: 100%" 
   onFocus='buscar_ajax(document.frmcuenta.clase.value,document.frmcuenta.grupo.value,document.frmcuenta.cuenta.value,document.frmcuenta.subcuenta.value,document.frmcuenta.subcuenta1.value,5);' /></td>
                    <td align="center"><input type="checkbox" name="checkboxau1" id="checkboxau1" <?php echo $checkboxau1; ?> /></td>
                    </tr>
                  <tr>
                    <td><span class="texto_campos">SubAuxiliares</span></td>
                    <td align="center"><input name="subcuenta2" type="text" id="subcuenta2" maxlength="2" value="<?php echo $subcuenta2; ?>" class="form-control"  style="width: 50px" 
                        onkeypress='mascara(this,cpf)'  /></td>
                    <td><input name="nsubcuenta2" type="text" id="nsubcuenta2"  value="<?php echo $nsubcuenta2; ?>" class="form-control"  style="width: 100%" 
                    onfocus='document.frmcuenta.concepto.value=this.value;'/></td>
                    <td align="center"><input type="checkbox" name="checkboxau2" id="checkboxau2" <?php echo $checkboxau2; ?> /></td>
                    </tr>
                </tbody>
              </table>
              </td>
              <td width="47%" align="center" valign="top"><table width="95%" border="0" cellpadding="0" cellspacing="0">
                <tbody>
                  <tr>
                    <td width="13%"><div align="left" class="texto_campos">codigo:</div></td>
                    <td width="87%"><input name="codigo" type="text" id="codigo"  value="<?php echo $codigo; ?>" class="form-control"  style="width: 100%" 
                    onFocus='buscar_ajaxcodigo(document.frmcuenta.grupo.value,document.frmcuenta.cuenta.value,document.frmcuenta.subcuenta.value,document.frmcuenta.subcuenta1.value);' readonly /></td>
                  </tr>
                  <tr>
                    <td><div align="left" class="texto_campos">Nombre:</div></td>
                    <td><input name="concepto" type="text" id="concepto"  value="<?php echo $concepto; ?>" class="form-control"  style="width: 100%"/ readonly></td>
                  </tr>
                  <tr>
                    <td>&nbsp;</td>
                    <td>&nbsp;</td>
                  </tr>
                  <tr>
                    <td>&nbsp;</td>
                    <td>&nbsp;</td>
                  </tr>
                  <tr>
                    <td>&nbsp;</td>
                    <td>&nbsp;</td>
                  </tr>
                </tbody>
              </table></td>
            </tr> 
            <tr>
              <td colspan="2" align="center"><table width="95%" border="0" cellpadding="0" cellspacing="0">
                <tbody>
                  <tr>
                    <td width="10%">&nbsp;</td>
                    <td width="10%">&nbsp;</td>
                    <td width="10%">&nbsp;</td>
                    <td width="10%">&nbsp;</td>
                  </tr>
                </tbody>
              </table></td>
            </tr>
            <tr>
              <td colspan="2" align="center"><table width="95%" border="0" cellpadding="0" cellspacing="0">
                <tbody>
                  <tr>
                    <td width="8%"><div align="left" class="texto_campos">Cuenta Alterna:</div></td>
                    <td width="20%" align="center" valign="middle"><input name="ctaalterna" type="text" id="ctaalterna" value="<?php echo $ctaalterna; ?>"
                    	 class="form-control"  style="width: 100%"   /></td>
                    <td width="88%"><input name="ctaalternadetalle" type="text" id="ctaalternadetalle"  value="<?php echo $ctaalternadetalle; ?>" class="form-control"  style="width: 100%"  />
                    </td>
                  </tr>
                </tbody>
              </table></td>
            </tr>
          </tbody>
        </table>
      </div>
 </div>
 </center> 
 
 <div id="resultado"></div>
 <script>
function valida(e){
    tecla = (document.all) ? e.keyCode : e.which;
	//Tecla de retroceso para borrar, siempre la permite
	 if (tecla==8){
        return true;
    }  
	if (tecla==46){
        return true;
    } 
	
	if (tecla==120 || tecla==88){
        return true;
    } 
    // Patron de entrada, en este caso solo acepta numeros
    patron =/[0-9]/;
    tecla_final = String.fromCharCode(tecla);
    return patron.test(tecla_final);
}
</script>


<SCRIPT type=text/javascript>


function pregunta_guardar(){ 
	cuteAlert({
	  type: "question",
	  title: "Confirmar Para Procesar",
	  message: "",
	  confirmText: "Ok",
	  cancelText: "Cancel"
	}).then((e)=>{
	  
	  if( e == "confirm")
	   {
			document.frmcuenta.oguardar.value=1; 
			document.frmcuenta.obuscar.value=1; 
			document.frmcuenta.submit();		
		    return true;
	   } 
	  else {
			document.frmempresa.oguardar.value=0;
			return false; 
	  }
	})
}




function pregunta_modificar(){ 
	cuteAlert({
	  type: "question",
	  title: "Confirmar Para Modificar",
	  message: "",
	  confirmText: "Ok",
	  cancelText: "Cancel"
	}).then((e)=>{
	  
	  if( e == "confirm")
	   {
		 	document.frmcuenta.omodificar.value=1; 
		 	document.frmcuenta.obuscar.value=1; 
			document.frmcuenta.submit();			
		    return true;
	   } 
	  else {
			document.frmcuenta.omodificar.value=0;
			return false; 
	  }
	})
}

</script>

</form>
</body>
</html>